Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Mar 2020 16:53:56 +0200

On 05.03.2020 16:26, João Távora wrote:
> On Thu, Mar 5, 2020 at 2:17 PM Dmitry Gutov <[email-masked]> wrote:
>> Seems to work fine in this situation. Starting with 'emacs -Q', no extra
>> config on my part except 'M-x fido-mode'.
> 
> This must have changed recently because I
> 
> emacs -Q
> M-x fido-mode
> C-x C-f
> M-x ---> error message

It's... weird. M-x doesn't work inside 'C-x C-f', but it does work 
inside 'C-h f', for example.

That seems like a bug, one way or another.

> On GNU Emacs 27.0.60 (build 2, x86_64-pc-linux-gnu, X toolkit, Xaw3d
> scroll bars) of 2020-02-01
> 
>> Or to feel that I can't rely on REQUIRE-MATCH when calling
>> completing-read in a program.
> 
> Well, a sufficient level of paranoia will always give you that
> feeling :-) , given that you yourself reported that that M-x thing
> works.  My advice is: move along, it's OK, Emacs's users aren't
> (all) doofuses. :-)

Emacs allows us to redefine basically everything. But there's a 
meaningful difference between forcing the user to call a magic command 
to enter the "dragon land", and having that command by default in the 
keymap.

> And thanks for the patches.  I expect to be using much more
> RET now (which is a good thing), fallback to M-j if it doesn't work
> and fallback to C-u M-j if I'm reaaally in a tight spot.

Cheers!